Flame Dressing V4.2 Elite-Aiko4-GND4 by jasmina ()

3D Figure EssentialsClothing

Flame Dressing V4.2 Elite-Aiko4-GND4

Warning! Content Advisory:  Some images may contain content not suitable for all viewers

Requirements:  Poser 6 or above. Python program is designed to work on Poser 7, PC and MAC versions. Figures are DAZ Studio compatible but poser complex materials are not supported by D|S

Departments:
3D Figure EssentialsClothing
3D Figure EssentialsAddOnsClothing